summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--git.zsh5
1 files changed, 2 insertions, 3 deletions
diff --git a/git.zsh b/git.zsh
index b9a86173f..567c2faa2 100644
--- a/git.zsh
+++ b/git.zsh
@@ -1,9 +1,8 @@
# get the name of the branch we are on
function git_prompt_info() {
- ref=$(git symbolic-ref HEAD 2> /dev/null) || return
- branch=${ref#refs/heads/}
-
if [[ -d .git ]]; then
+ ref=$(git symbolic-ref HEAD 2> /dev/null) || return
+ branch=${ref#refs/heads/}
CURRENT_BRANCH="%{$fg[red]%}git:(%{$fg[green]${branch}%{$fg[red])"
else
CURRENT_BRANCH=''